Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Tue 21 Oct 2014, 22:26
All times are UTC - 4
 Forum index » House Training » Bugs ( Submit bugs )
Slacko 5.7 - March 2014
Moderators: Flash, Ian, JohnMurga
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
Page 13 of 18 Posts_count   Goto page: Previous 1, 2, 3, ..., 11, 12, 13, 14, 15, 16, 17, 18 Next
Author Message
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Sun 18 May 2014, 21:02    Post_subject:
Sub_title: still no difference...
 

Thanks again bigpup, for your suggestions and help,

I tried reformatting the partition, three times just to be sure, but still no result. I tried pasting the suggested menu entry into my menu.lst, I tried running grub4dos and running the entry generated from there, and I still get the same end results, it either won't start at all or it gets to the 'can't find slacko_5.7.0frugal' error Crying or Very sad

Oh well, I will probably give up on it and wait for 5.8 and see what it is like Sad although, I may keep trying different things, but I've got plenty of other puppies to keep me going for now, plus a few other distros that I like as well Very Happy

Cheers for now and thanks again for all your help,
Ray

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5233
Location: Charleston S.C. USA

PostPosted: Sun 18 May 2014, 23:59    Post_subject:  

killapup,

Wonder if Slacko 5.7 being installed on partition sda16 could be the problem. The startup process, still does some searching for files, and looking at 15 partitions, before getting to 16, could be too many.

You could try a frugal install on say sda1, 2, or 3 just to test and see if that solves anything.

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
davids45


Joined: 26 Nov 2006
Posts: 652
Location: Chatswood, NSW

PostPosted: Mon 19 May 2014, 04:17    Post_subject: Limit is normally 15 partitions  

G'day killapup,
I cannot divide my hard-drives into more than 15 partitions using Puppies (i.e. GParted), although it can be done according to some experts. For me, that's four primary, with one primary becoming an extended partition dividable as logical partitions until there are 14 numbered partitions in all - the sd number of the extendable primary sort-of gets lost once the logicals are made. So I "lose" sda4 as my extended primary but its logicals run from sda5 to sda15. Lots of drive icons across the bottom of my desktop as I have two fully Linux-partitioned hard drives.

So I'd agree with bigpup that it's your sda16 (hd0,15) that is likely to be 'abnormal'. I've had no problems installing Slacko-5.7 Full or Frugal in the normal partition range.

Perhaps Puppy or the Linux kernel is 'internally hard-wired' to work in the range hd0 to hd14, but not higher, even if such partitions are there? Windows partitioning seems to be limited in its logicals by the alphabet - z is the last logical under that scheme?

I concur that you should try a different, lower numbered partition with 5.7 and see what happens.

Good luck.

David S.
Back to top
View user's profile Send_private_message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Mon 19 May 2014, 07:55    Post_subject:
Sub_title: I never thought of that...
 

Thanks bigpup and David,

I wouldn't have thought of that in a million years, I will try it and see what happens. I might leave it till I rearrange my partitions, though, I've been thinking about getting my partitions in some sort of proper order, I think most of you would be horrified if you saw the way my hd is set up.

It is very much ad hoc, but I am currently backing up the partitions I want to keep so I can just copy them back to a partition on a more logically ordered set up.

Anyway, thanks for the suggestion, it probably makes sense, cheers,
Ray

_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send_private_message 
jafadmin

Joined: 19 Mar 2009
Posts: 425

PostPosted: Sat 24 May 2014, 09:27    Post_subject:  

I'm going to add this here so as to make it an official bug report.

PPTP VPN

The /dev/pppX (i.e.: ppp0) created by pppd breaks when you set the default route to it while doing pptp vpn.

This behavior occurs in Slacko and Wary. All versions going back to at least 2009. This bug DOES NOT occur in Lucid/Precise. They are all using the same version of pppd (2.4.5)

I am wondering if maybe the "route" function in BusyBox is the culprit?

The net result is that Slacko/Wary are not able to do PIA type anonymous browsing because you need to set the "default" route to the VPN connection.

Slacko/Wary work fine setting "static" routes to the VPN, just not the Default Route. This means it will work just fine for connecting to your workplace VPN, but will not anonymize your web browsing on the Starbucks wifi.
Back to top
View user's profile Send_private_message 
killapup


Joined: 25 Apr 2012
Posts: 73
Location: Warwick, Qld, Australia

PostPosted: Sat 24 May 2014, 18:44    Post_subject:
Sub_title: ...and another strange result?!?!
 

For those who are following my saga, try this for size Confused

I thought the last issue was a tricky one, well, have a look at the attached file and see what I got this time. Crying or Very sad

I've managed to repartition my drive into something more logical and have a few of my installs on the new setup, a couple of problems along the way but I've managed to sort them. I tried installing Slacko 5.7 to one of the new partitions, sda9 this time, and voila... or more precisely, whatthe...??

Can anyone explain this one?? It was a normal puppy install, the same as I have installed all my puppies in the past Mad This is after restarting and saving to a save file??

Why is it not working? Has anyone seen this screen before on a puppy install and more specifically, on a Slacko 5.7 install?

Thanks for any suggestions,
Ray

For me, this Slacko is really broken Crying or Very sad
export-2014-05-25-08-24-26.jpg
 Description   
 Filesize   18.18 KB
 Viewed   616 Time(s)

export-2014-05-25-08-24-26.jpg


_________________
Carolina Frugal install... Very Happy
HP Compaq Presario V2000, 1Gb RAM... Smile
Also Precise Puppy 5.7, MacPup, quirky, VectorLinux, and Porteus. Laughing
Fluxpup, CentOS and now blackPantherOS too. Slacko's back Wink
Back to top
View user's profile Send_private_message 
rcrsn51


Joined: 05 Sep 2006
Posts: 9200
Location: Stratford, Ontario

PostPosted: Sat 24 May 2014, 18:49    Post_subject:  

From a terminal, run
Code:
gdk-pixbuf-query-loaders --update-cache

and restart the X server
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5233
Location: Charleston S.C. USA

PostPosted: Sun 25 May 2014, 00:39    Post_subject:  

killapup,

You have some strange problems.
Slacko 5.7 just will not be nice to you Laughing

So, using a lower number partition, did work, for getting Slacko to boot?

Wondering how you now are partitioned and with what formats?

Quote:
This is after restarting and saving to a save file??

A bad save file could cause this.
Delete it and try to make a new one.
I assume everything seems to be OK, before making the save file.
Some info on name, size, and type would help.
What changes are you making before doing a save?

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5233
Location: Charleston S.C. USA

PostPosted: Sun 25 May 2014, 16:10    Post_subject:  

Icewm you can install from the PPM puppy-slacko14 repository.

no system tray icons, fixmenus doesn't work, ...
menu-> programs
nothing listed for programs.

Tried a pet that was compiled for Slacko 5.3.
Same issues.

The install process says nothing is missing.

Anyone got it working for them?

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
SFR


Joined: 26 Oct 2011
Posts: 1078

PostPosted: Sun 25 May 2014, 18:11    Post_subject: IceWM  

Hey Bigpup, some time ago I put IceWM.pet together using packages from PPM and tuned it to work with new Slacko.
Contains number of themes, so can't attach it here (~1.5 M).
The pet is xz compressed, so will install only on Slacko >= 5.7.

http://www.datafilehost.com/d/2fdc7b5e
MD5: 0bc40bb8731eb9a3d9c0649790faed47 icewm-1.3.7-i686-s57.pet

Activation - exit to prompt and type:
Code:
xwin icewm-session

Greetings!

_________________
[O]bdurate [R]ules [D]estroy [E]nthusiastic [R]ebels => [C]reative [H]umans [A]lways [O]pen [S]ource
Omnia mea mecum porto.
Back to top
View user's profile Send_private_message 
bigpup


Joined: 11 Oct 2009
Posts: 5233
Location: Charleston S.C. USA

PostPosted: Mon 26 May 2014, 01:56    Post_subject:  

Thanks SFR!

Your pet of Icewm does work better.

Seems to fix all the problems I was having.

Are you sure there are enough themes in it (44)?

I am starting to wonder if I was just not starting it the right way.

I was just using:
Code:
xwin icewm

_________________
I have found, in trying to help people, that the things they do not tell you, are usually the clue to solving the problem.
When I was a kid I wanted to be older.... This is not what I expected Shocked
Back to top
View user's profile Send_private_message 
SFR


Joined: 26 Oct 2011
Posts: 1078

PostPosted: Mon 26 May 2014, 07:29    Post_subject:  

bigpup wrote:
I am starting to wonder if I was just not starting it the right way.

I was just using:
Code:
xwin icewm

Not really. The PPM version won't work properly in new Slacko, due to changes at Woof-CE level.
The key adjustments I made were:
- all 'icon_name24' changed to 'icon_name48' in /etc/xdg/templates/_root_.icewm_menu
- created /root/.icewm/startup script in order to launch all startup apps with X (systray stuff)
- added /usr/bin/icewm-xdgmenu binary, taken from Slacko-5.6

As for themes - there was two times more of them, but recently I removed the most ugly ones. Wink

Greetings!

_________________
[O]bdurate [R]ules [D]estroy [E]nthusiastic [R]ebels => [C]reative [H]umans [A]lways [O]pen [S]ource
Omnia mea mecum porto.
Back to top
View user's profile Send_private_message 
mavrothal


Joined: 24 Aug 2009
Posts: 1686

PostPosted: Tue 27 May 2014, 04:54    Post_subject:  

Updates manager does not appear to have code to ckeck for available space before the download/installation process begins.
Reported by B.K. Johnson in another thread

Latter: The attached pet should check for free space before download.
Please test.

Here is what is changed
Code:
--- a/usr/bin/updates_mgr   2013-12-30 01:16:40.000000000 +0200
+++ b/usr/bin/updates_mgr   2014-05-27 22:54:08.000000000 +0300
@@ -17,6 +17,7 @@
 
 . /etc/DISTRO_SPECS
 . /usr/bin/gettext.sh
+. /etc/rc.d/PUPSTATE
 
 # blacklisted packages #thanks to npierce
 BLACKLIST=" sudo glib dbus"
@@ -63,7 +64,22 @@
      exit
    fi
    
-   PKGINST=$(grep "$1" /tmp/updates_slack2.lst|cut -d '|' -f4)
+   PKGINST=$(grep "$1" /tmp/updates_slack2.lst|cut -d '|' -f5)
+   #Check if we have the space
+   PKGSIZE=$(grep "$1" /tmp/updates_slack2.lst|cut -d '|' -f4)
+   if [ "$(echo $PKGSIZE | grep K)" != "" ]; then
+    xPKGSIZE=$(echo $PKGSIZE | tr -d K)
+    inPKGSIZE=$(expr $xPKGSIZE \* 2)
+   else
+    inPKGSIZE=$(expr $xPKGSIZE \/ 512)
+   fi
+   case $PUPMODE in
+    2) FREESPACE=$(df -k | grep pup_rw | awk '{print $4}') ;;
+    *) FREESPACE=$(df -k | grep '/$' | awk '{print $4}') ;;
+   esac
+   [ "$inPKGSIZE" -gt "$FREESPACE" ] && gtkdialog-splash -close box -bg red -timeout 10 -text\
+   "$(gettext "There is not enough space to install $1. Exiting")" && exit 1
+   
    [ "$(echo $1|grep firefox)" != "" ] && MOZ=mozilla-firefox
    [ "$(echo $1|grep seamonkey)" != "" ] && MOZ=seamonkey
    
@@ -196,7 +212,7 @@
 #get rid of dep info, can bork
 [ -f /tmp/update_slack_database ] && rm /tmp/update_slack_database
 while read PLINE
-  do XLINE=$(echo $PLINE|cut -d '|' -f1,2,3,8,10)
+  do XLINE=$(echo $PLINE|cut -d '|' -f1,2,3,6,8,10)
   echo "$XLINE" >> /tmp/update_slack_database
   done <$PKGINFODIR/Packages-slackware-$DISTRO_COMPAT_VERSION-patches
 while read line


Latter-Latter Please consider v2 of this update
updates_mgr-1.pet
Description 
pet

 Download 
Filename  updates_mgr-1.pet 
Filesize  4.43 KB 
Downloaded  50 Time(s) 

_________________
Kids all over the world go around with an XO laptop. They deserve one puppy (or many) too Very Happy

Edited_time_total
Back to top
View user's profile Send_private_message 
SFR


Joined: 26 Oct 2011
Posts: 1078

PostPosted: Tue 27 May 2014, 16:44    Post_subject: cURL  

"Something's wrong with CURL" final (hopefully) update:

I just compiled the newly released cURL-7.37.0 and all still is fine, but under the condition that we won't use --enable-threaded-resolver switch during compilation.
I did use it at first, following LFS guidance, but this ain't good...

Greetings!

_________________
[O]bdurate [R]ules [D]estroy [E]nthusiastic [R]ebels => [C]reative [H]umans [A]lways [O]pen [S]ource
Omnia mea mecum porto.
Back to top
View user's profile Send_private_message 
Karl Godt


Joined: 20 Jun 2010
Posts: 3972
Location: Kiel,Germany

PostPosted: Tue 27 May 2014, 19:00    Post_subject:  

mavrothal wrote:

+ [ "$inPKGSIZE" -gt "$FREESPACE" ] && gtkdialog-splash -close box -bg red -timeout 10 -text\
+ "$(gettext "There is not enough space to install $1. Exiting")" && exit 1


What when inPKGSIZE OR FREESPACE are not :digit: only ?

I think logical OR
Code:
[ "$inPKGSIZE" -lt "$FREESPACE" ] || { # code here

would be a better idea so would run on ERROR or -ge .

Also $((FREESPACE-SLACK)) .. Question
Back to top
View user's profile Send_private_message Visit_website 
Display_posts:   Sort by:   
Page 13 of 18 Posts_count   Goto page: Previous 1, 2, 3, ..., 11, 12, 13, 14, 15, 16, 17, 18 Next
Post_new_topic   Reply_to_topic View_previous_topic :: View_next_topic
 Forum index » House Training » Bugs ( Submit bugs )
Jump to:  

Rules_post_cannot
Rules_reply_cannot
Rules_edit_cannot
Rules_delete_cannot
Rules_vote_cannot
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1051s ][ Queries: 12 (0.0085s) ][ GZIP on ]